--------------------------------------------------------------------------------
--  File     : _config.lua
--  Author(s): Pavel Kislyak, Pavel Demchuk
--
--  Summary  :   .
--
--  Copyright  2013-2015 Hullabu Inc.
--------------------------------------------------------------------------------
dofile("_price.lua")

--------------------------------------------------------------------------------
--      
--------------------------------------------------------------------------------
new_player_settings =
{
	Energy		= 55,
	Gold		= 500,
	Diamonds	= 10,
	Hints		= 12,
	MultiHints	= 3,
}

--------------------------------------------------------------------------------
--  
--------------------------------------------------------------------------------
game_settings =
{
	MaxStars					= 5,	--  ,      
	TasksCount					= 9, 	--     " "
	CompletedTasksReplaceFreq	= 1,	--          
	ISpyReusePercent			= 50,	--         
	BonusTimerSegments			= 5,	--      (       )
	ScoreOnPick					= 120,	--     
	PlayEnergyCost				= 10,	--         (   chapter_settings,   PlayEnergyCost)
	AddEnergyPerTime			= 300,	--        
	TimeLockSkipCost			= 50,	--    ,    (diamonds,    rooms_settings,   SkipCost)
	PuzzleSkipCost				= 5,	--   - (diamonds,    rooms_settings,   SkipCost)
	TimeLowWarningTime			= 15,	--          
	TimeOutCountdownTimer		= 5,	--           TimeOut
	TimeOutExtraTimeCost		= 5, 	--    (diamonds)
	TimeOutExtraTime			= 60,	--    ,   
	BoostScoreMultiplierCost	= 5,	--   " " (diamonds)
	BoostScoreMultiplierValue	= 2,	--     
	BoostExtraTimeCost			= 250,	--   " " (gold)
	BoostExtraTimeValue			= 60,	--    
	GoldCupTime 				= 25,	-- ,     ,     (   stars_profiles)
	TimeWhenAllStarsDone		= 160,	--         (   stars_profiles)

	--   
	BadClickPenalties			= { 5, 10, 20 },

	--      
	LevelsXpPoints				= { 30, 50, 90, 110, 110, 110, 70 },

	--      
	PlayTimeMultiplier			= PHONE and 1.5 or 1,	--  ,     
	BonusTimerMaxSec			= PHONE and 60 or 25,	--      
}

if AMAZON then
	game_settings.AppStoreID	= "_Common:APPSTORE_AMAZON"
	game_settings.RatingURI		= "amzn://apps/android?p=com.gamehouse.hullabu.haa.aas"
elseif GOOGLE then
	game_settings.AppStoreID	= "_Common:APPSTORE_GOOGLE"
	game_settings.RatingURI		= "market://details?id=com.gamehouse.hiddenartifactsgp"
else
	game_settings.AppStoreID	= "_Common:APPSTORE_IOS"
	game_settings.RatingURI		= "itms-apps://itunes.apple.com/WebObjects/MZStore.woa/wa/viewContentsUserReviews?id=666844877&onlyLatestVersion=true&pageNumber=0&sortOrdering=1&type=Purple+Software"
end

--------------------------------------------------------------------------------
--  Facebook 
--------------------------------------------------------------------------------
facebook_settings =
{
	Enabled						= 1,
	Share						= 1,

	--    ( )
	GetGiftDialogTime			= 1440,
	GiftDialogTime				= 1440,
	InviteDialogTime			= 1440,
	FriendsRefreshTime			= 1440,
}

--------------------------------------------------------------------------------
--   Facebook
--------------------------------------------------------------------------------
facebook_posts =
{
	level_up =
	{
		--[[actions =
		{
			name	= "Get Energy",
			link	= "https://www.facebook.com/appcenter/hiddenartifacts?fb_source=search&fbsid=1101",
		},]]

		name		= "_Common:FACEBOOK_POST_LEVELUP_NAME",
		caption		= "_Common:FACEBOOK_POST_LEVELUP_CAPT",
		description	= "_Common:FACEBOOK_POST_LEVELUP_DESC",
		link		= "https://www.facebook.com/appcenter/hiddenartifacts?fb_source=search&fbsid=1101",
		picture		= "http://ftp2.floodlightgames.com/public_ftp/HAA/Images/level02.jpg",
	},

	progress =
	{
		name		= "_Common:FACEBOOK_POST_PROGRESS_NAME",
		caption		= "_Common:FACEBOOK_POST_PROGRESS_CAPT",
		description	= "_Common:FACEBOOK_POST_PROGRESS_DESC",
		link		= "https://www.facebook.com/appcenter/hiddenartifacts?fb_source=search&fbsid=1101",
		picture		= "http://ftp2.floodlightgames.com/public_ftp/HAA/Images/progress100.jpg",
	},
}

--------------------------------------------------------------------------------
--  
--------------------------------------------------------------------------------
rewards =
{
	--      
	day1 =
	{
		gold		= 50,
	},
	day2 =
	{
		gold		= 100,
	},
	day3 =
	{
		energy		= 5,
	},
	day4 =
	{
		energy		= 10,
	},
	day5 =
	{
		energy		= 20,
	},
	--     
	facebook_login =
	{
		diamonds	= 10,
		energy		= 50
	},
}

--------------------------------------------------------------------------------
-- 
--
--       ,   .
--     (  )     .
--------------------------------------------------------------------------------
collections =
{
	case00 =
	{
		{ "the_delaware_water_gap", 100 },
		{ "two_boys_and_a_girl_making_music", 100 },
	},
	case01 =
	{
		{ "abraham_casteleyn_en_zijn_echtgenote_margarieta_van_bancken", 200 },
		{ "winterlandschap", 200 },
		{ "walvisvangst", 200 },
		{ "venice_the_grand_canal_facing_santa_croce", 200 },
		{ "still_life_with_a_nautilus_cup", 200 },
		{ "the_battle_of_hohenlinden_3_december_1800", 500 },
		{ "de_zuiderhavendijk_in_enkhuizen", 200 },
	},
	case02 =
	{
		{ "a_stag_hunt_in_a_forest", 500 },
		{ "review_passing_before_the_czarevitch", 500 },
		{ "view_of_oudewater", 500 },
		{ "a_storm_on_a_mediterranean_coast", 1000 },
		{ "a_cock_hens_and_chicks", 500 },
		{ "the_contest_for_the_bouquet_the_family_of_robert_gordon", 500 },
		{ "the_battle_of_valmy", 500 },
		{ "a_river_near_a_town_by_moonlight", 1000 },
		{ "ubbergen_castle", 500 },
		{ "a_ruined_castle_gateway", 500 },
	},
	case03 =
	{
		{ "boslandschap_met_reizigers", 600 },
		{ "soldiers_playing_cards_and_dice", 600 },
		{ "rivierlandschap_met_ruine", 600 },
		{ "the_interior_of_an_inn", 600 },
		{ "the_avenue_at_middelharnis", 1000 },
		{ "a_battle", 600 },
		{ "wintergezicht", 600 },
		{ "two_men_playing_tric_trac_with_a_woman_scoring", 600 },
		{ "stilleven", 600 },
		{ "marriage_a_la_mode_1_the_marriage_settlement", 600 },
		{ "marriage_a_la_mode_2_the_tete_a_tete", 1000 },
		{ "marriage_a_la_mode_3_the_inspection", 600 },
		{ "marriage_a_la_mode_4_the_toilette", 600 },
	},
	case04 =
	{
		{ "naval_combat_off_cape_lizard_in_cornwall_21_october_1707", 600 },
		{ "faust_and_marguerite", 600 },
		{ "bodegon_con_besugos", 600 },
		{ "an_alchemist", 1000 },
		{ "italiaans_landschap_met_parasoldennen", 600 },
		{ "a_caprice_landscape_with_ruins", 600 },
		{ "the_bell_inn", 600 },
		{ "a_seaport", 2000 },
		{ "a_view_of_delft_after_the_explosion_of_1654", 600 },
		{ "eton_college", 600 },
		{ "winter_landscape_near_vordingborg", 2000 },
		{ "a_view_on_the_tiber", 600 },
		{ "zondagmorgen", 600 },
		{ "ships_in_a_gale", 600 },
		{ "stadsgezicht_in_de_winter", 600 },
		{ "a_road_by_a_cottage", 600 },
	},
	case05 =
	{
		{ "granadas", 800 },
		{ "rebekah_and_eliezer_at_the_well", 800 },
		{ "a_landscape_with_a_farm_on_the_bank_of_a_river", 800 },
		{ "venice_the_feast_day_of_saint_roch", 1500 },
		{ "ulysses_deriding_polyphemus_homers_odyssey", 800 },
		{ "a_man_and_a_woman_in_a_stableyard", 800 },
		{ "venice_the_doges_palace_and_the_riva_degli_schiavoni", 800 },
		{ "soldiers_fighting_over_booty_in_a_barn", 2500 },
		{ "schipbreuk_op_een_rotsachtige_kust", 800 },
		{ "joseph_greenway", 800 },
		{ "the_lackawanna_valley", 800 },
		{ "venice_the_punta_della_dogana", 2500 },
		{ "doe_and_two_fawns", 800 },
		{ "a_river_scene_with_distant_windmills", 800 },
		{ "lake_lucerne", 800 },
		{ "the_milbanke_and_melbourne_families", 2500 },
	},
	case06 =
	{
		{ "fur_traders_descending_the_missouri", 1000 },
		{ "hound_coursing_a_stag", 1000 },
		{ "prise_de_thionville_23_juin_1558", 1000 },
		{ "imaginary_landscape_the_river", 1500 },
		{ "still_life_with_a_skull_and_a_writing_quill", 1000 },
		{ "jupiter_mercury_and_virtue", 1000 },
		{ "italian_landscape", 1000 },
		{ "een_watermolen", 2500 },
		{ "berglandschap_met_voerlieden", 1000 },
		{ "paisaje_con_lago", 1000 },
		{ "the_antiquary", 1000 },
		{ "a_view_in_cologne", 2500 },
	},
	case07 =
	{
		{ "a_limier_briquet_hound", 1000 },
		{ "a_merry_company_at_table", 1000 },
		{ "view_of_bregentved_forest_sjaeeland", 1000 },
		{ "the_rocky_path_in_the_morvan", 1000 },
		{ "the_bakers_cart", 1000 },
		{ "landschap_in_het_gooi", 1000 },
		{ "florero", 1000 },
		{ "paisaje_con_una_vid", 1000 },
		{ "village_festival", 1000 },
		{ "old_annapolis_francis_street", 1000 },
		{ "marriage_a_la_mode_6_the_ladys_death", 1000 },
		{ "marriage_a_la_mode_5_the_bagnio", 1000 },
	},
	case08 =
	{
		{ "el_quitasol", 1000 },
		{ "an_extensive_landscape", 1000 },
		{ "de_ingang_van_het_park_van_st_cloud_te_parijs", 1000 },
		{ "twee_paarden_in_de_weide_bij_een_hek", 1000 },
		{ "koeien_op_stal", 1000 },
		{ "a_landscape_with_two_dead_trees", 1000 },
		{ "departure_for_the_hunt_in_the_pontine_marshes", 1000 },
		{ "ducks_resting_in_sunshine", 1000 },
		{ "a_village_scene_with_a_cobbler", 1000 },
		{ "de_jager", 1000 },
		{ "a_young_man_and_woman_making_music", 1000 },
		{ "terrace_of_the_capuchin_garden_sorrento", 1000 },
	},
	__RESERVED =
	{
		{ "boerenkermis", 1000 },
		{ "de_verovering_van_het_engelse_admiraalsschip_de_royal_prince", 1000 },
		{ "el_castillo_de_alcala_de_guadaira", 1000 },
		{ "lagunas", 1000 },
		{ "landscape_with_a_watermill", 1000 },
		{ "mme_recamier_nee_julie_bernard", 1000 },
		{ "peasants_making_music_in_an_inn", 1000 },
		{ "schepen_op_een_onstuimige_zee", 1000 },
		{ "the_grandchildren_of_sir_william_heathcote", 1000 },
		{ "vanitas_stilleven", 1000 },
		{ "view_of_the_forum_in_rome", 1000 },
	},
}

--------------------------------------------------------------------------------
-- 
--------------------------------------------------------------------------------
achievements =
{
}
