--------------------------------------------------------------------------------
--  File     : _price.lua
--  Author(s): Pavel Kislyak, Pavel Demchuk
--
--  Summary  : Price list
--
--  Copyright  2013-2015 Hullabu Inc.
--------------------------------------------------------------------------------

prices =
{
	--   $$
	Diamonds =
	{
		{ Amount=30,	Cost=299,	ProductID="com.hullabu.haa.diamondspack1" },
		{ Amount=60,	Cost=499,	ProductID="com.hullabu.haa.diamondspack2" },
		{ Amount=120,	Cost=999,	ProductID="com.hullabu.haa.diamondspack3" },
		{ Amount=240,	Cost=1999,	ProductID="com.hullabu.haa.diamondspack4" },
		{ Amount=650,	Cost=4999,	ProductID="com.hullabu.haa.diamondspack5" },
	},

	--   $$
	Gold =
	{
		{ Amount=3000,	Cost=299,	ProductID="com.hullabu.haa.goldpack1" },
		{ Amount=6000,	Cost=499,	ProductID="com.hullabu.haa.goldpack2" },
		{ Amount=12000,	Cost=999,	ProductID="com.hullabu.haa.goldpack3" },
		{ Amount=24000,	Cost=1999,	ProductID="com.hullabu.haa.goldpack4" },
		{ Amount=65000,	Cost=4999,	ProductID="com.hullabu.haa.goldpack5" },
	},

	--    -  $$
	SpecialOffers =
	{
		{
			Diamonds=20,
			Gold=2000,
			Cost=199,
			ProductID="com.hullabu.haa.starterpack"
		},
	},

	--     Playhaven
	Playhaven =
	{
		{
			Diamonds=120,
			Gold=0,
			Cost=499,
			ProductID="com.hullabu.haa.diamondspack6"
		},
		{
			Diamonds=300,
			Gold=0,
			Cost=999,
			ProductID="com.hullabu.haa.diamondspack7"
		},
		{
			Diamonds=240,
			Gold=0,
			Cost=999,
			ProductID="com.hullabu.haa.diamondspack8"
		},
		{
			Diamonds=480,
			Gold=0,
			Cost=1999,
			ProductID="com.hullabu.haa.diamondspack9"
		},
		{
			Diamonds=1950,
			Gold=0,
			Cost=4999,
			ProductID="com.hullabu.haa.diamondspack10"
		},
	},

	--   
	Energy =
	{
		{ Amount=10,	Cost=20 },
		{ Amount=20,	Cost=40 },
		{ Amount=50,	Cost=60 },
	},

	--    
	Hints =
	{
		{ Amount=3,		Cost=function(n) return GetIndexedCost(n, {  9,  9,  9,  9,  9, 12, 12, 12, 15, 15 }) end },
		{ Amount=6,		Cost=function(n) return GetIndexedCost(n, { 18, 18, 18, 18, 18, 24, 24, 24, 30, 30 }) end },
		{ Amount=12,	Cost=function(n) return GetIndexedCost(n, { 36, 36, 36, 36, 36, 48, 48, 48, 60, 60 }) end },
	},

	--     
	MultiHints =
	{
		{ Amount=1,		Cost=function(n) return GetIndexedCost(n, {  7,  7,  7,  7,  8,  8,  8,  9 }) end },
		{ Amount=3,		Cost=function(n) return GetIndexedCost(n, { 21, 21, 21, 21, 24, 24, 24, 27 }) end },
		{ Amount=10,	Cost=function(n) return GetIndexedCost(n, { 70, 70, 70, 70, 80, 80, 80, 90 }) end },
	},
}

--------------------------------------------------------------------------------
--    ,     
--------------------------------------------------------------------------------
function GetIndexedCost(timesPurchased, costTable)
	return (timesPurchased < #costTable and costTable[timesPurchased + 1] or costTable[#costTable])
end
