--------------------------------------------------------------------------------
--  File     : default_room.lua
--  Author(s): Pavel Kislyak, Pavel Demchuk
--
--  Summary  :   .
--
--  Copyright  2013-2015 Hullabu Inc.
--------------------------------------------------------------------------------
dofile("_config.lua")
dofile("_helpers.lua")

--------------------------------------------------------------------------------
function OnEntry()
	ui.DashboardPanel:Close()

	if MINIGAME_ROOM then
		top_panel:ShowRoomMode(false)
		top_panel:SetEnabledExitBtn(true)
		top_panel:SetSkipButtonCost(GetRoomSkipCost(room:GetName()))

		--game_panel:EnableHintButton(true)
		--game_panel:EnableMultiHintButton(true)
		game_panel:SetModePuzzle()
	else
		game_panel:SetModeHO_Inventory()
	end

	SafeCallFunction(OnCustomEntry)
end

--------------------------------------------------------------------------------
function OnExit()
	--           
	if not MINIGAME_ROOM then
		game_panel:SetModeHO()
	end
end

--------------------------------------------------------------------------------
--     
--------------------------------------------------------------------------------
function CompleteRoom()
	--      OnComplete,     ,     
	if not ShowSpeakDialog("OnComplete") then
		JumpDashboard()
	end
end

--------------------------------------------------------------------------------
--    PersSpeak
--------------------------------------------------------------------------------
function OnDialogClose_PersSpeak(dialog)
	local tag = dialog:GetUserTag()
	if tag == "OnComplete" then
		JumpDashboard()
	else
		SafeCallFunction(OnCloseSpeakDialog, tag)
	end
end

--------------------------------------------------------------------------------
--   (    c  )
--------------------------------------------------------------------------------
function OnClickZeroHint()
	chapter:SetScenePause(true)
	ui.ModalDialogsShadow:SetFillColorAlpha(0.85)
	ui.BuyHint:Show()
end

function OnDialogClose_BuyHint(dialog)
	chapter:SetScenePause(false)
end

--------------------------------------------------------------------------------
--   
--------------------------------------------------------------------------------
function OnClickZeroMultiHint()
	chapter:SetScenePause(true)
	ui.ModalDialogsShadow:SetFillColorAlpha(0.85)
	ui.BuyMultiHint:Show()
end

function OnDialogClose_BuyMultiHint(dialog)
	chapter:SetScenePause(false)
end

--------------------------------------------------------------------------------
--  TopPanel
--------------------------------------------------------------------------------
function OnDialogClick_TopPanel(dialog, widget)
	if widget == "skip_puzzle" then
		chapter:SetScenePause(true)
		ui.ConfirmPay:SetUserTag("skip_puzzle")
		ui.ConfirmPay:Show(Currency_Diamonds, GetRoomSkipCost(room:GetName()))
	elseif widget == "Diamonds" then
		chapter:SetScenePause(true)
		ui.Bank:Show()
	end
end

--------------------------------------------------------------------------------
--  Bank
--------------------------------------------------------------------------------
function OnDialogClose_Bank(dialog)
	chapter:SetScenePause(false)
end

--------------------------------------------------------------------------------
--  ConfirmPay
--------------------------------------------------------------------------------
function OnDialogClose_ConfirmPay(dialog)
	local tag = dialog:GetUserTag()
	if tag == "skip_puzzle" and dialog:GetUserAction() == ui.ConfirmPay.User_Pay then
		top_panel:SetVisibleSkipButton(false)
		room:Solve()
		local roomName = room:GetName()
		game_info:CreateGameBuyEvent(tag, Currency_Diamonds, GetRoomSkipCost(roomName), roomName)
	end
	chapter:SetScenePause(false)
end

--------------------------------------------------------------------------------
--  HintMG
--------------------------------------------------------------------------------
function OnDialogShow_HintMG(dialog)
	chapter:SetScenePause(true)
end

function OnDialogClose_HintMG(dialog)
	chapter:SetScenePause(false)
end
